Create session ID

- « SessionIdInterface

- SessionUpdateTimestampHandlerInterface »

- PHP Manual
- SessionIdInterface
- Create session ID

# SessionIdInterface::create_sid

(PHP 5 >= 5.5.1, PHP 7, PHP 8)

SessionIdInterface::create_sid — Create session ID

### Description

public SessionIdInterface::create_sid(): string

Creates a new session ID.This function is automatically executed when a new session ID needs to be created.

### Parameters

This function has no parameters.

### Return Values

The new session ID. Note that this value is returned internally to PHP for processing.

### See Also

- SessionHandler::create_sid() - Return a new session ID